<?php
/**
* Immo Manager verhuur op jaarbasis
*
*/

/**
* Veiligheid controle ...
*/

define('dArKCMS', true);

/**
* Includes ophalen ...
*/

include("../../includes/_darkcmsConfiguratie.php"); 
include("../../includes/class.sessieBeheer.php");
include("../../includes/_darkcmsCore.php");
include("includes/_modFunkties.php");
include("includes/upload.class.php");
include("includes/upl.class.php");

/**
* Taal ophalen ...
*/

$CoreTaal	= strtoupper($_GET['tl']); if ($CoreTaal == ''){$CoreTaal = 'NL';}

if (($CoreTaal != 'NL') && ($CoreTaal != 'FR')){ 
	$CoreTaal = 'NL'; 
}

/**
* CoreTaal ophalen ...
*/

include("../../talen/_core".$CoreTaal.".php");

/**
* Module Taal ophalen ...
*/

include("talen/_modTaal".$CoreTaal.".php");

/**
* Diverse akties gaan uitvoeren ...
*/

switch ($_GET['a']){

	case "logUit" :
		$session->uitloggen();
	break;

}	

/**
 * Gebruiker is ingelogd ...
 */

if($session->checkLogin()){
	
	switch ($_GET['a']){

	case "Toevoegen" :

		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (6,$CoreTaal);
		Toevoegen();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
		
	break;
	
	case "Opslaan" :
	
		$nTaal	= strtoupper($_GET['nTaal']); if ($nTaal == ''){$nTaal = $CoreTaal;}
	
		if(!get_magic_quotes_gpc()) {
		
			$jaar 	= addslashes($_POST['jaar']);
			$maand	= addslashes($_POST['maand']);
			$dagen	= addslashes($_POST['dagen']);
						
		} else {
 		
			$jaar 	= ($_POST['jaar']);
			$maand	= ($_POST['maand']);
			$dagen	= ($_POST['dagen']);
			
 		}
		
		$dbconnect		= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 		= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = "INSERT INTO calendar ( user_id, year, month, date) VALUES ('0','$jaar','$maand','$dagen')";
		
		$result = mysql_query ($SQL) OR DIE(mysql_error());
		mysql_close($dbconnect);
		header ('location: index.php?tl='.$CoreTaal);

	break;

	case "DetailsOpslaan" :
	
		$nTaal	= strtoupper($_GET['nTaal']); if ($nTaal == ''){$nTaal = $CoreTaal;}
		$id = $_GET['id'];	
		
		if(!get_magic_quotes_gpc()) {
		
			$jaar 	= addslashes($_POST['jaar']);
			$maand	= addslashes($_POST['maand']);
			$dagen	= addslashes($_POST['dagen']);
						
		} else {
 		
			$jaar 	= ($_POST['jaar']);
			$maand	= ($_POST['maand']);
			$dagen	= ($_POST['dagen']);
			
 		}
		
		$dbconnect		= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 		= mysql_select_db (DBnaam,$dbconnect);
		
		$SQL = "UPDATE calendar SET	
							user_id = '',
							year = '$jaar',
							month = '$maand',
							date = '$dagen'
							WHERE id=$id"; 
		
		$result = mysql_query ($SQL) OR DIE(mysql_error());
		
		# klok opschonen
		
		$dagenArray = explode(",", $dagen);
		foreach($dagenArray as $key => $dag){
			$query = "
				DELETE FROM tijd
				WHERE jaar = '$jaar'
				AND maand = '$maand'
				AND dag = '$dag'
			";
			$result = mysql_query ($query) OR DIE(mysql_error());
		}
		
		mysql_close($dbconnect);
		header ('location: index.php?tl='.$CoreTaal);

	break;
	
	case "Details" :

		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (6,$CoreTaal);
		Details();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
		
	break;
	
	
	case "Wissen" :
		
		$id = $_GET['id'];
		$dbconnect	= mysql_connect (DBhost,DBgebruiker,DBwachtwoord) or die ("Kan niet verbinden: " . mysql_error());
		$dbselect 	= mysql_select_db (DBnaam,$dbconnect);
		$SQL = ("DELETE FROM calendar WHERE id='".$id."'");
//		$sql_result = mysql_query ($SQL);
//		$SQL = ("DELETE FROM mod_ArtikelFotos WHERE Id='".$id."'");
		$sql_result = mysql_query ($SQL);
		mysql_close($dbconnect);
		
		$session->logAktie('Verwijderd','id='.$id);
		header("Location: index.php?tl=".$CoreTaal);
		
	break;
	
	case "Klok" :
		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (6,$CoreTaal);
		Klok();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
	break;
	
	case "KlokOpslaan" :
	
		/*if($_SERVER['REMOTE_ADDR'] == '178.84.98.214') {
			
			echo '<pre>';
			print_r($_POST);
			echo '</pre>';
			
			die();
		}*/
	
		$mysqli = new mysqli(DBhost, DBgebruiker, DBwachtwoord, DBnaam);
		if (mysqli_connect_errno()) {
			printf("Connect failed: %s\n", mysqli_connect_error());
			exit();
		}
		
		foreach ($_POST as $key => $val) {
			if (strstr($key, 'tijd_')){
				list($a, $dag, $bla) = explode('_', $key);
				$tijd[$dag][] = $val;
			}
		}
		
		foreach($tijd as $dag => $array) {
			$tijden_array = array();
			$tijden_nb_array = array();
			
			foreach($array as $val){
				if(stristr($val, "indeterminate")) $tijden_nb_array[] = str_replace("indeterminate_","",$val);
				else $tijden_array[] = $val;
			}
			
			$tijden = implode(",", $tijden_array);
			$tijden_nb = implode(",", $tijden_nb_array);
			
			$query = $mysqli->prepare("
				SELECT * FROM tijd
				WHERE jaar=?
				AND maand=?
				AND dag=?
			") or die($mysqli->error);
			$query->bind_param("iii", $_POST['year'], $_POST['month'], $dag);
			$query->execute();
			$query->store_result();
			if($query->num_rows <= 0){
				# insert
				$query2 = $mysqli->prepare("
					INSERT INTO tijd SET
						jaar=?,
						maand=?,
						dag=?,
						tijden=?,
						tijden_nietbeschikbaar=?
				") or die($mysqli->error);
				$query2->bind_param("iiiss", $_POST['year'], $_POST['month'], $dag, $tijden, $tijden_nb);
				$query2->execute();
			} else {
				$query2 = $mysqli->prepare("
					UPDATE tijd SET
						tijden=?,
						tijden_nietbeschikbaar=?
					WHERE jaar=?
					AND maand=?
					AND dag=?
				") or die($mysqli->error);
				$query2->bind_param("ssiii", $tijden, $tijden_nb, $_POST['year'], $_POST['month'], $dag);
				$query2->execute();			
			}
		}
				
		$mysqli->close();
		header ('location: index.php?a=Klok&tl='.$CoreTaal.'&id='.$_GET['id']);
	break;
	
	case 'Verschil':
		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (6,$CoreTaal);
		Verschil();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
	break;
	
	case 'VerschilOpslaan':
		$mysqli = new mysqli(DBhost, DBgebruiker, DBwachtwoord, DBnaam);
		if (mysqli_connect_errno()) {
			printf("Connect failed: %s\n", mysqli_connect_error());
			exit();
		}
		
		$query2 = $mysqli->prepare("
			UPDATE tijd_verschil SET
				verschil=?
			WHERE id=1
		") or die($mysqli->error);
		$query2->bind_param("i", $_POST['verschil']);
		$query2->execute();
		header ('location: index.php?a=Verschil&tl='.$CoreTaal);
	break;
	
	default :
		include('includes/_modHeader.php');
		coreGebruikerStats($CoreTaal);
		coreModules (6,$CoreTaal);
		Overzicht();
		echo '</div>';
		include('../../includes/_darkcmsFooter.php');
	}	
	

/**
 * Gebruiker is NIET ingelogd ...
 */

} else {
	header("Location: ".CORE_Path."index.php");
}

?>